Bug 104025 - HTTP Install resolving IP address install
HTTP Install resolving IP address install
Status: CLOSED WORKSFORME
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 23:15 EDT by Kevin Arima
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 17:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Arima 2003-09-08 23:15:18 EDT
Description of problem:
When attempting to use an IP address for an HTTP install, the installer fails 
if it cannot resolve the IP address.

Version-Release number of selected component (if applicable):


How reproducible:
Once

Steps to Reproduce:
1. Start RH install by using HTTP install
2. Enter a unconnected DNS server (ie, non-net-connected DNS server)
3. Enter IP address for HTTP server name
4. When starting anaconda, debug shows trying to resolve the IP and failing.
    
Actual results:
Install fails

Expected results:
Install should not attempt to resolve HTTP server name if it is an IP address

Additional info:
Comment 1 Michael Fulbright 2003-09-09 17:22:43 EDT
I was able to get to the first graphical screen in the anaconda installer using
a fictional DNS server and specifying the IP of my HTTP server.  How far does it
get before you have the problem?
Comment 2 Kevin Arima 2003-09-09 17:59:20 EDT
I think the actualy problem is that the error message is misleading.  I got it 
to load the welcome screen, but only after I noticed that each error message 
printed a different filname.  After switching to graphics mode, debug will show 
(at a rate of one/min):
IOError -1 occured getting 
http://66.187.232.30//pub/redhat/linux/beta/severn/en/os/i386/RELEASE-NOTES-
en_US.UTF-8.html: (-3, 'Temporary failure in name resolution')
RELEASE-NOTES.en_US.UTF-8
RELEASE-NOTES-en_US.html
RELEASE-NOTES.en_US
REAEASE-NOTES-en.html
RELEASE-NOTES.en
RELEASE-NOTES-C.heml
RELEASE-NOTES.C

Then finally showed:
* moving (1) to step welcome

Took about 5 min to get to step welcome.

Used   IP: 66.187.232.30 (ftp.redhat.com)
Directory: /pub/redhat/linux/beta/severn/en/iso/i386
Comment 3 Jeremy Katz 2003-10-16 14:53:07 EDT
Does test3 still have this problem?
Comment 4 Jeremy Katz 2004-10-04 17:42:38 EDT
Closing due to inactivity.  Please reopen if you have further information.

Note You need to log in before you can comment on or make changes to this bug.